steel-mill.cpp File Reference
`#include <gecode/driver.hh>`
`#include <gecode/int.hh>`
`#include <gecode/minimodel.hh>`
`#include <fstream>`

Go to the source code of this file.

## Classes

class | SteelMillOptions
| SteelMillOptions for examples with size option and an additional optional file name parameter. More...
class | SortByWeight
| Sort orders by weight. More...
class | SteelMill
| Example: Steel-mill slab design problem More...
class | SteelMill::SteelMillBranch
| Custom brancher for steel mill slab design. More...
class | SteelMill::SteelMillBranch::Choice
| Choice More...

## Typedefs

typedef int(* | order_t)[2]
| Order-specifications.

## Variables

const int | order_weight = 0
| Weight-position in order-array elements.
const int | order_color = 1
| Color-position in order-array elements.
int | csplib_capacities []
| Constants for CSPLib instance of the Steel Mill Slab Design Problem.
unsigned int | csplib_ncapacities = 20
| Number of capacities.
unsigned int | csplib_maxcapacity = 44
| Maximum capacity.
int | csplib_loss []
| Loss for all sizes.
int | csplib_orders [][2]
| Orders.
unsigned int | csplib_ncolors = 89
| Number of colors.
unsigned int | csplib_norders = 111
| Number of orders.

## Typedef Documentation

## order_t

typedef int(* order_t)[2]

Order-specifications.

Used in the SteelMill example. Type of the order-specification

Definition at line 48 of file steel-mill.cpp.

## Variable Documentation

## order_weight

const int order_weight = 0

Weight-position in order-array elements.

Definition at line 564 of file steel-mill.cpp.

## order_color

const int order_color = 1

Color-position in order-array elements.

Definition at line 565 of file steel-mill.cpp.

## csplib_capacities

int csplib_capacities

Initial value:
=
{12, 14, 17, 18, 19,
20, 23, 24, 25, 26,
27, 28, 29, 30, 32,
35, 39, 42, 43, 44}

Constants for CSPLib instance of the Steel Mill Slab Design Problem.

Used in the SteelMill example. Capacities

Definition at line 568 of file steel-mill.cpp.

## csplib_ncapacities

unsigned int csplib_ncapacities = 20

Number of capacities.

Definition at line 573 of file steel-mill.cpp.

## csplib_maxcapacity

unsigned int csplib_maxcapacity = 44

Maximum capacity.

Definition at line 574 of file steel-mill.cpp.

## csplib_loss

int csplib_loss

Loss for all sizes.

Definition at line 575 of file steel-mill.cpp.

## csplib_orders

int csplib_orders

Orders.

Definition at line 578 of file steel-mill.cpp.

## csplib_ncolors

unsigned int csplib_ncolors = 89

Number of colors.

Definition at line 576 of file steel-mill.cpp.

## csplib_norders

unsigned int csplib_norders = 111

Number of orders.

Definition at line 577 of file steel-mill.cpp.